# GET Squad by Team and Season ID

### `GET` Squad by Team and Season ID

```
https://cricket.sportmonks.com/api/v2.0/teams/{ID}/squad/{season_ID}
```

| Endpoint details        |         |
| ----------------------- | ------- |
| Authorization           | API Key |
| Pagination              | NO      |
| Allowed nested includes | 0       |

#### Parameters

| Available parameters |                                                                                                           |
| -------------------- | --------------------------------------------------------------------------------------------------------- |
| fields\[object]      | Only return fields you are interested in. Simply add `&fields[object]=id,name,code`  to your request url. |
| sort                 | One or comma separated list of fields to sort on. Can be used by adding `&sort=` to your request url.     |

**Sort**

You can sort on all fields.

#### Example response

{% tabs %}
{% tab title="Request" %}

```
https://cricket.sportmonks.com/api/v2.0/teams/47/squad/10?api_token={API_TOKEN}
```

{% endtab %}

{% tab title="Response" %}

```javascript
  "data": {
        "resource": "teams",
        "id": 47,
        "name": "Adelaide Strikers",
        "code": "AS",
        "image_path": "https://cdn.sportmonks.com/images/cricket/teams/15/47.png",
        "country_id": 98,
        "national_team": false,
        "updated_at": "2019-12-19T12:26:02.000000Z",
        "squad": [
            {
                "resource": "players",
                "id": 392,
                "country_id": 98,
                "firstname": "Kelvin",
                "lastname": "Smith",
                "fullname": "Kelvin Smith",
                "image_path": "https://cdn.sportmonks.com/images/cricket/players/8/392.png",
                "dateofbirth": "1994-09-05",
                "gender": "m",
                "battingstyle": "left-hand-bat",
                "bowlingstyle": "right-arm-offbreak",
                "position": {
                    "resource": "positions",
                    "id": 2,
                    "name": "Bowler"
                },
                "updated_at": "2020-04-03T06:56:02.000000Z",
                "squad": {
                    "season_id": 10
                }
            },
            {
                "resource": "players",
                "id": 393,
                "country_id": 98,
                "firstname": "Jake",
                "lastname": "Weatherald",
                "fullname": "Jake Weatherald",
                "image_path": "https://cdn.sportmonks.com/images/cricket/players/9/393.png",
                "dateofbirth": "1994-11-04",
                "gender": "m",
                "battingstyle": "left-hand-bat",
                "bowlingstyle": "legbreak",
                "position": {
                    "resource": "positions",
                    "id": 1,
                    "name": "Batsman"
                },
                "updated_at": "2020-04-02T15:10:23.000000Z",
                "squad": {
                    "season_id": 10
                }
            },
            {
                "resource": "players",
                "id": 394,
                "country_id": 98,
                "firstname": "Jonathan",
                "lastname": "Wells",
                "fullname": "Jonathan Wells",
                "image_path": "https://cdn.sportmonks.com/images/cricket/players/10/394.png",
                "dateofbirth": "1988-08-13",
                "gender": "m",
                "battingstyle": "right-hand-bat",
                "bowlingstyle": "right-arm-fast-medium",
                "position": {
                    "resource": "positions",
                    "id": 1,
                    "name": "Batsman"
                },
                "updated_at": "2020-04-03T05:27:58.000000Z",
                "squad": {
                    "season_id": 10
                }
            },
            {
                "resource": "players",
                "id": 395,
                "country_id": 98,
                "firstname": "Jake",
                "lastname": "Lehmann",
                "fullname": "Jake Lehmann",
                "image_path": "https://cdn.sportmonks.com/images/cricket/players/11/395.png",
                "dateofbirth": "1992-07-08",
                "gender": "m",
                "battingstyle": "left-hand-bat",
                "bowlingstyle": "slow-left-arm-orthodox",
                "position": {
                    "resource": "positions",
                    "id": 1,
                    "name": "Batsman"
                },
                "updated_at": "2020-04-02T15:10:40.000000Z",
                "squad": {
                    "season_id": 10
                }
            },
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v2/cricket-api/our-api/teams-and-players/teams-and-squads.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
